Library Version 18.1.40

DbEnv::get_msgpfx()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_msgpfx()

    #include <db_cxx.h>

    void
    DbEnv::get_msgpfx(const char **msgpfxp);

The `DbEnv::get_msgpfx()` method returns the information prefix that appears before informational messages issued by Berkeley DB. This prefix is set using the DbEnv::set_msgpfx() method.

The `DbEnv::get_msgpfx()` method may be called at any time during the life of the application.

### Parameters

#### msgpfxp

The `DbEnv::get_msgpfx()` method returns a reference to the informational prefix in msgpfxp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_msgfile() | Home | DbEnv::get_open_flags()